Subject: [alto] ALTO Cross-Domain Server Discovery

From: Sebastian Kiesel <[email-masked]>
Date: Fri, 4 Jul 2014 21:55:20 +0200

Dear ALTO WG members,

We have submitted two new drafts, draft-kiesel-alto-xdom-disc-00 and
draft-kiesel-alto-xdom-disc-alg-00.

These drafts are successors of draft-kist-alto-3pdisc.  We have decided
to rename "Third-Party Server Discovery" to "Cross-Domain Server
Discovery" in order to avoid ambiguities with other discovery use cases.

draft-kiesel-alto-xdom-disc  is a candidate for our charter item "One or
more alternatives to the base ALTO server discovery mechanism
(RFC-to-be) to accommodate environments where [...] (2) it is desirable
for an ALTO client to be able to discover an ALTO server outside its own
domain."  The draft currently gives a motivation, describes the
deployment scenario and itemizes requirements for a discovery mechanism.
We will add a survey on related IETF activities and protocols in the
next version (One hot candidate is RFC 7216).

draft-kiesel-alto-xdom-disc-alg  serves as a parking orbit for the
algorithm we've been working on.  We are planning to merge it back
to the first document if (and only if) the survey does not yield a
re-usable existing solution.

As always, reviews and comments are most welcome!

Thanks
Martin and Sebastian

On Fri, Jul 04, 2014 at 09:33:19AM -0700, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Application Layer Traffic Optimization (ALTO) Cross-Domain Server Discovery
>         Authors         : Sebastian Kiesel
>                           Martin Stiemerling
> 	Filename        : draft-kiesel-alto-xdom-disc-00.txt
> 	Pages           : 22
> 	Date            : 2014-07-04
> 
> Abstract:
>    The goal of Application-Layer Traffic Optimization (ALTO) is to
>    provide guidance to applications that have to select one or several
>    hosts from a set of candidates capable of providing a desired
>    resource.  ALTO is realized by a client-server protocol.  Before an
>    ALTO client can ask for guidance it needs to discover one or more
>    ALTO servers that can provide suitable guidance.
> 
>    In some deployment scenarios, in particular if the information about
>    the network topology is partitioned and distributed over several ALTO
>    servers, an ALTO client may need to discover an ALTO server outside
>    of its own network domain, in order to get appropriate guidance.
> 
>    This document details applicable scenarios, itemizes requirements,
>    and analyzes existing solution approaches for such ALTO cross-domain
>    server discovery.  However, the specification of a procedure is
>    beyond the scope of this document.  Note, that in earlier versions of
>    this document, ALTO cross-domain server discovery was referred to as
>    "third-party discovery", but it has been renamed to avoid naming
>    ambiguities.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-kiesel-alto-xdom-disc/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-kiesel-alto-xdom-disc-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

On Fri, Jul 04, 2014 at 09:33:22AM -0700, [email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>         Title           : Application Layer Traffic Optimization (ALTO) Cross-Domain Server Discovery - Experimental Algorithm Specification
>         Authors         : Sebastian Kiesel
>                           Kilian Krause
>                           Martin Stiemerling
> 	Filename        : draft-kiesel-alto-xdom-disc-alg-00.txt
> 	Pages           : 19
> 	Date            : 2014-07-04
> 
> Abstract:
>    The goal of Application-Layer Traffic Optimization (ALTO) is to
>    provide guidance to applications that have to select one or several
>    hosts from a set of candidates capable of providing a desired
>    resource.  ALTO is realized by a client-server protocol.  Before an
>    ALTO client can ask for guidance it needs to discover one or more
>    ALTO servers that can provide suitable guidance.
> 
>    This document contains a strawman proposal for an ALTO Cross-Domain
>    Server Discovery procedure (also known as Third-Party Discovery).
>    Technically, the algorithm specified in this document takes one
>    IP address and a U-NAPTR Service Parameter (i.e., "ALTO:http" or
>    "ALTO:https") as parameters.  It performs several DNS lookups (for
>    U-NAPTR and SOA resource records) and returns one or more URI(s) of
>    information resources related to that IP address.
> 
>    The functionality has been validated in a lab environment.  However,
>    the feasibility and possible side-effects of Internet-wide
>    "production use" are not yet understood.  The purpose of this
>    document is to foster further discussion within the ALTO working
>    group.  Readers of this document should exercise caution in
>    evaluating its value for implementation and deployment.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-kiesel-alto-xdom-disc-alg/
> 
> There's also a htmlized version available at:
> http://tools.ietf.org/html/draft-kiesel-alto-xdom-disc-alg-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt